Api
Get Usage Patterns
Get usage patterns for the Usage Patterns tab (AC2, AC5). Returns hourly/weekly/monthly distributions and LLM usage statistics.
Get usage patterns for the Usage Patterns tab (AC2, AC5).
Returns hourly/weekly/monthly distributions and LLM usage statistics.
AuthorizationBearer <token>
In: header
Query Parameters
start_date*string
Start date (YYYY-MM-DD)
Format
dateend_date*string
End date (YYYY-MM-DD)
Format
dateResponse Body
application/json
application/json
curl -X GET "https://loading/api/v1/analytics/usage-patterns?start_date=2019-08-24&end_date=2019-08-24"{
"avg_tokens_per_call": 0,
"hourly_distribution": [
{}
],
"llm_usage": [
{
"avg_latency_ms": 0,
"error_count": 0,
"provider": "string",
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_requests": 0
}
],
"monthly_trends": [
{}
],
"weekly_distribution": [
{}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Twilio Settings Internal GET
Get Twilio settings - internal use only (no auth). Issue #215: Twilio settings for regional configuration. Returns region and edge only. Credentials should be loaded from env vars or secrets manager for security reasons.
Get User GET
Get a specific user by ID. Admin only.